Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class DatabaseMetaDataProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.DatabaseMetaDataProxyHandler

All Implemented Interfaces:
  InvocationHandler

    public class DatabaseMetaDataProxyHandler

extends AbstractProxyHandler

The InvocationHandler for intercepting messages to `DatabaseMetaData` proxies.

Mainly we need to intercept the methods defined on `DatabaseMetaData` which expose `ResultSet` instances, which in turn expose `Statement` instances, which in turn...

Constructor Summary
`DatabaseMetaDataProxyHandler(DatabaseMetaData databaseMetaData, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Method Summary
`protected Object` | `continueInvocation(Object proxy, Method method, Object[] args)`
`protected boolean` | `doesMethodExposeResultSet(Method method)`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseMetaDataProxyHandler

    public DatabaseMetaDataProxyHandler(DatabaseMetaData databaseMetaData,
                                        ConnectionProxyHandler connectionProxyHandler,
                                        Connection connectionProxy)

Method Detail

### continueInvocation

    protected Object continueInvocation(Object proxy,
                                        Method method,
                                        Object[] args)
                                 throws Throwable

  Specified by:
    `continueInvocation` in class `AbstractProxyHandler`
  Throws:
    `Throwable`

### doesMethodExposeResultSet

    protected boolean doesMethodExposeResultSet(Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.